# Query

The [Added Company API](/added-companies-api/added-companies-api-introduction.md) provides a way to query information about new companies.

### Arguments

| Argument             | Type                                                          | Description                                                                   | Default |
| -------------------- | ------------------------------------------------------------- | ----------------------------------------------------------------------------- | ------- |
| first                | Int                                                           | Number of companies to retrieve, should not exceed 100                        | 100     |
| offset               | Int                                                           | Offset in the list                                                            | 0       |
| activatedAtTimeFrame | [TimeFrame!](/company-data-api/graphql-objects/time-frame.md) | A specific time period to retrieve added companies, should not exceed 30 days |         |

### Fields

| Filed      | Type                                                                   | Description                                     |
| ---------- | ---------------------------------------------------------------------- | ----------------------------------------------- |
| nodes      | \[[BasicCompany](/added-companies-api/basic-query/basic-company.md)!]! | Basic company fields                            |
| totalCount | Int!                                                                   | Total count of all added companies for a period |

### Query example

```graphql
# query
query addedCompanies($activatedAtTimeFrame: TimeFrame!, $first: Int!, offset: Int!) {
  addedCompanies(activatedAtTimeFrame: $activatedAtTimeFrame, first: $first, offset: $offset) {
    nodes {
      activatedAt
      displayName
      duns
      homepage
      id
      slug
    }
    totalCount
  }
}

# variables
{ "activatedAtTimeFrame": {
    "from": "2020-07-03", 
    "to": "2020-07-07"
  },
  "first": 10,
  "offset": 10
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.craft.co/added-companies-api/basic-query.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
